log4cplus::thread::SyncGuardFunc< SyncPrim, lock_func, unlock_func > Class Template Reference

`#include <syncprims.h>`

Inheritance diagram for log4cplus::thread::SyncGuardFunc< SyncPrim, lock_func, unlock_func >:
[legend]

## Public Member Functions

| SyncGuardFunc (SyncPrim const &)
| ~SyncGuardFunc ()
void | lock ()
void | unlock ()
void | attach (SyncPrim const &)
void | detach ()

## Detailed Description

template<typename SyncPrim, void(SyncPrim::*)() const lock_func, void(SyncPrim::*)() const unlock_func>
class log4cplus::thread::SyncGuardFunc< SyncPrim, lock_func, unlock_func >

Definition at line 157 of file syncprims.h.

## Constructor & Destructor Documentation

## SyncGuardFunc()

template<typename SyncPrim, void(SyncPrim::*)() const lock_func, void(SyncPrim::*)() const unlock_func>

log4cplus::thread::SyncGuardFunc< SyncPrim, lock_func, unlock_func >::SyncGuardFunc | ( | SyncPrim const & | m | ) |

inline

Definition at line 294 of file syncprims.h.

References SyncGuardFunc().

Referenced by SyncGuardFunc(), and ~SyncGuardFunc().

## ~SyncGuardFunc()

template<typename SyncPrim, void(SyncPrim::*)() const lock_func, void(SyncPrim::*)() const unlock_func>

log4cplus::thread::SyncGuardFunc< SyncPrim, lock_func, unlock_func >::~SyncGuardFunc | ( |  | ) |

inline

Definition at line 304 of file syncprims.h.

References SyncGuardFunc().

## Member Function Documentation

## attach()

template<typename SyncPrim, void(SyncPrim::*)() const lock_func, void(SyncPrim::*)() const unlock_func>

void log4cplus::thread::SyncGuardFunc< SyncPrim, lock_func, unlock_func >::attach | ( | SyncPrim const & | m | ) |

inline

Definition at line 335 of file syncprims.h.

References attach().

Referenced by attach().

## detach()

template<typename SyncPrim, void(SyncPrim::*)() const lock_func, void(SyncPrim::*)() const unlock_func>

void log4cplus::thread::SyncGuardFunc< SyncPrim, lock_func, unlock_func >::detach | ( |  | ) |

inline

Definition at line 345 of file syncprims.h.

References detach().

Referenced by detach().

## lock()

template<typename SyncPrim, void(SyncPrim::*)() const lock_func, void(SyncPrim::*)() const unlock_func>

void log4cplus::thread::SyncGuardFunc< SyncPrim, lock_func, unlock_func >::lock | ( |  | ) |

inline

Definition at line 315 of file syncprims.h.

References lock().

Referenced by lock().

## unlock()

template<typename SyncPrim, void(SyncPrim::*)() const lock_func, void(SyncPrim::*)() const unlock_func>

void log4cplus::thread::SyncGuardFunc< SyncPrim, lock_func, unlock_func >::unlock | ( |  | ) |

inline

Definition at line 325 of file syncprims.h.

References unlock().

Referenced by unlock().

The documentation for this class was generated from the following file:

- syncprims.h